Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Debian Security Advisory DSA 059-1 (man-db)

Information

Severity

Severity

High

Family

Family

Debian Local Security Checks

CVSSv2 Base

CVSSv2 Base

7.5

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

14 years ago

Modified

Modified

5 years ago

Summary

The remote host is missing an update to man-db announced via advisory DSA 059-1.

Insight

Insight

Luki R. reported a bug in man-db: it did handle nested calls of drop_effective_privs() and regain_effective_privs() correctly which would cause it to regain privileges to early. This could be abused to make man create files as user man. This has been fixed in version 2.3.16-4, and we recommend that you upgrade your man-db package immediately. If you use suidmanager you can also use that to make sure man and mandb are not installed suid which protects you from this problem. This can be done with the following commands: suidregister /usr/lib/man-db/man root root 0755 suidregister /usr/lib/man-db/mandb root root 0755 Of course even when using suidmanager an upgrade is still strongly recommended.

Solution

Solution

https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20059-1